org.apache.ignite.cache.store.cassandra.session

## Class GenericBatchExecutionAssistant<R,V>

- java.lang.Object
- - org.apache.ignite.cache.store.cassandra.session.GenericBatchExecutionAssistant<R,V>

- Type Parameters:
    `R` - Type of the result returned from batch operation
    `V` - Type of the value used in batch operation
  All Implemented Interfaces:
    BatchExecutionAssistant<R,V>

      public abstract class GenericBatchExecutionAssistant<R,V>
      extends Object
      implements BatchExecutionAssistant<R,V>

  Implementation of the `BatchExecutionAssistant`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericBatchExecutionAssistant()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `alreadyProcessed(int seqNum)` Checks if row/object with specified sequential number is already processed.
    `protected void` | `process(com.datastax.driver.core.Row row)` Processes particular row inside batch operation.
    `void` | `process(com.datastax.driver.core.Row row, int seqNum)` Processes particular row inside batch operation.
    `int` | `processedCount()`
    `R` | `processedData()`
    `boolean` | `tableExistenceRequired()` Indicates if Cassandra tables existence is required for this batch operation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.cache.store.cassandra.session.BatchExecutionAssistant

      `bindStatement, getPersistenceSettings, getStatement, getTable, operationName`

- - ### Constructor Detail

    - #### GenericBatchExecutionAssistant

          public GenericBatchExecutionAssistant()

  - ### Method Detail

    - #### process

          public void process(com.datastax.driver.core.Row row,
                              int seqNum)

      Processes particular row inside batch operation.
      Specified by:
        `process` in interface `BatchExecutionAssistant<R,V>`
      Parameters:
        `row` - Row to process.
        `seqNum` - Sequential number of the row.

    - #### alreadyProcessed

          public boolean alreadyProcessed(int seqNum)

      Checks if row/object with specified sequential number is already processed.
      Specified by:
        `alreadyProcessed` in interface `BatchExecutionAssistant<R,V>`
      Parameters:
        `seqNum` - object sequential number
      Returns:
        `true` if object is already processed

    - #### processedCount

          public int processedCount()

      Specified by:
        `processedCount` in interface `BatchExecutionAssistant<R,V>`
      Returns:
        number of processed objects/rows.

    - #### processedData

          public R processedData()

      Specified by:
        `processedData` in interface `BatchExecutionAssistant<R,V>`
      Returns:
        batch operation result.

    - #### tableExistenceRequired

          public boolean tableExistenceRequired()

      Indicates if Cassandra tables existence is required for this batch operation.
      Specified by:
        `tableExistenceRequired` in interface `BatchExecutionAssistant<R,V>`
      Returns:
        `true` true if table existence required.

    - #### process

          protected void process(com.datastax.driver.core.Row row)

      Processes particular row inside batch operation.
      Parameters:
        `row` - Row to process.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020